Class Index | File Index

## Classes

- _global_
- jasmine
- jasmine.Block
- jasmine.Env
- jasmine.JsApiReporter
- jasmine.Matchers
- jasmine.MultiReporter
- jasmine.NestedResults
- jasmine.Reporter
- jasmine.Runner
- jasmine.Spec
- jasmine.Spy
- jasmine.Suite
- jasmine.util

# Namespace jasmine

Defined in: jasmine-0.10.0.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| jasmine Top level namespace for Jasmine, a lightweight JavaScript BDD/spec/testing framework.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | jasmine.details
<static> | jasmine.UPDATE_INTERVAL Large or small values here may result in slow test running & "Too much recursion" errors

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | jasmine.any(clazz) Returns a matchable 'generic' object of the class type.
<static> | jasmine.createSpyObj(baseName, methodNames) Creates a more complicated spy: an Object that has every property a function that is a spy.
<static> | jasmine.getEnv() Getter for the Jasmine environment.
<static> | jasmine.include(url, opt_global) Adds suite files to an HTML document so that they are executed, thus adding them to the current Jasmine environment.
<static> | jasmine.isDomNode(obj) Returns true if the object is a DOM Node.
<static> | jasmine.pp(value) Pretty printer for expecations.
<static> | jasmine.PrettyPrinter() Base class for pretty printing for expectation results.

Namespace Detail
jasmine
Top level namespace for Jasmine, a lightweight JavaScript BDD/spec/testing framework.
Field Detail
<static> jasmine.details

<static> jasmine.UPDATE_INTERVAL
Large or small values here may result in slow test running & "Too much recursion" errors
Method Detail
<static> jasmine.any(clazz)
Returns a matchable 'generic' object of the class type. For use in expecations of type when values don't matter.

    // don't care about which function is passed in, as long as it's a function
    expect(mySpy).wasCalledWith(jasmine.any(Function));

Parameters:
{Class} clazz

Returns:
  matchable object of the type clazz

<static> jasmine.createSpyObj(baseName, methodNames)
Creates a more complicated spy: an Object that has every property a function that is a spy. Used for stubbing something large in one call.

Parameters:
{String} baseName
  name of spy class
{Array} methodNames
  array of names of methods to make spies

<static> jasmine.getEnv()
Getter for the Jasmine environment. Ensures one gets created

<static> jasmine.include(url, opt_global)
Adds suite files to an HTML document so that they are executed, thus adding them to the current Jasmine environment.

Parameters:
{String} url
  path to the file to include
{Boolean} opt_global

<static> {Boolean} jasmine.isDomNode(obj)
Returns true if the object is a DOM Node.

Parameters:
{Object} obj
  object to check

Returns:
  {Boolean}

<static> {String} jasmine.pp(value)
Pretty printer for expecations. Takes any object and turns it into a human-readable string.

Parameters:
value
  {Object} an object to be outputted

Returns:
  {String}

<static> jasmine.PrettyPrinter()
Base class for pretty printing for expectation results.

Documentation generated by JsDoc Toolkit 2.1.0 on Sat Oct 31 2009 21:44:38 GMT-0700 (PDT)